# 一、配置文件管理命令
###### 配置文件管理命令有：

|  Clear | Clock  | Configure  | Copy  |
| ------------ | ------------ | ------------ | ------------ |
| Debug  | Delete  | Disable  | end  |
| Exit  | No  |  Ping | Reboot  |
| Restore-defaults  |  save | show  |   ssl |


## 1.1 clear
###### 使用clear命令可以删除交换机配置。
	clear [arp|interfaces|ip|lacp|lldp|logging|mac]

###### 参数
| 参数  |  参数说明 |
| :------------ | :------------ |
|  Arp  | Arp信息  |
| Interfaces  | 接口信息  |
| Mac| MAC地址信息  |
| Lldp  | lldp链路信息  |
|  Ip |  IP信息 |
| Lacp  | LaCP信息  |
| Logging  | 日志配置  |

###### 示例：删除192.2.2.1的这条arp 记录。
	Switch#clear  arp  192.2.2.1 

## 1.2 clock
###### 使用clock命令可以管理交换机系统时间。
	Clock set [HH:MM:SS]

###### 参数
|  参数 | 参数说明  |
| :------------ | :------------ |
| HH  | 时  |
| MM  | 分  |
| SS  | 秒  |

###### 示例
	Switch# clock set 20:13:14 

## 1.3 configure
###### 使用configure命令进入交换机功能配置操作。 

###### 参数
	无

###### 示例
	Switch# configure
	Switch(configure)#

## 1.4   copy
###### 使用copy命令可以从tftp服务器读取文件到交换机。
	copy tftp<:filename> {flash<:filename>}

###### 参数

| 参数  |  参数说明 |
| :------------ | :------------ |
| tftp<:filename>   |  表示从tftp服务器读取文件。filename指明相应的文件名，若没有指定，copy命令执行后将提示用户将文件名输入。  |
| flash <:filename>  | 表示向交换机闪存中写文件。filename指明相应的文件名，若没有指定，copy命令执行后将提示用户将文件名输入。   |

###### 缺省
	无

###### 使用说明
	无

###### 示例：将复制tftp服务器中的文件switch.bix到交换机闪存中。
	Switch#copy tftp://switch.bix flash://switch.bix 

###### 相关命令
	无

## 1.5  debug
###### 使用debug命令可以设置带调试选项。
	debug  <sub-command>

###### 参数

| 参数  | 参数说明  |
| :------------ | :------------ |
| command  |  子命令 |
|all   | 全部ACL  |
| reserve  | 保存  |
|  User-defined |  用户自定义 |

###### 使用说明
	无

###### 示例
	Switch#debug acl common

## 1.6   delete
###### 使用delete 命令可以从flash文件系统删除一个文件。
	delete  flash/startup-config/system

###### 参数
| 参数  |  参数说明 |
| :------------ | :------------ |
| flash   | 文件名（最长20个字符）。   |
|  Startup-config | 配置信息  |
| system  |  删除系统软件 |

###### 示例
	 Switch# delete Startup-config

## 1.7 disable
###### 使用disable命令可以关闭特权模式命令。

###### 参数
	无

###### 示例
	Switch#disable

## 1.8   end
###### 使用end命令可以结束当前模式并改为使能模式

###### 参数
	无

###### 示例
	Switch#end

## 1.9 exit
###### 使用exit命令可以退出交换机登陆

###### 参数
	无

###### 示例
	Switch# exit


## 1.10 no
###### 使用no命令可以取消调试选项，与debug命令功能相反。
	no <sub-command>

###### 参数
| 参数  | 参数说明  |
| ------------ | ------------ |
|  sub-command |  子命令 |

###### 使用说明
	无

###### 示例
	Switch# no debug acl common


## 1.11   ping
###### 使用ping命令交换机联络网络其他主机信息。 
	Ping A.B.C.D

###### 参数
	无

###### 示例
	Switch# Ping 192.168.255.1 

## 1.12   reboot
###### 使用reboot命令可以停止系统运行并执行冷重启。
	reboot

###### 参数
	无

###### 示例 
	Switch# reboot

## 1.13   restore-defaults
###### 使用restore-defaults命令可以恢复出厂设置。
	restore-defaults

###### 参数
	无

###### 示例
	Switch# restore-defaults

## 1.14 save
###### 使用save命令可以保存正在运行的配置文件到flash。
	save

###### 参数
	无

###### 示例
	Switch# save

## 1.15 show
###### 本命令用来显示系统的相关信息，对于显示的结果可以选用特定的过滤器过滤出或者过滤掉特定的信息
	show <sub-command>

###### 参数
| 参数  | 参数说明  |
| ------------ | ------------ |
| sub-command  |子命令   |

###### 缺省
	无

###### 命令模式
	管理态或者配置态

###### 使用说明
	无

###### 示例
	Switch#show running-config

###### 相关命令
	无


## 1.16 ssl
###### 使用ssl可以建立ssl主机密钥。

###### 参数
	无

###### 示例
	Switch# ssl

#   二、HTTP配置命令
###### 配置文件管理命令有：

|  ip http |  ip http session-timeout   | 
| ------------ | ------------ |

## 1.1 ip http
###### 命令描述
	为了启动http服务，使用ip http执行命令

###### 参数
	无

###### 缺省
	no ip http

###### 使用说明
	使用本命令可以交换机在指定的端口接受HTTP服务请求，处理该请求并向浏览器返回处理结果。

###### 命令模式
	全局配置模式

###### 示例
	下面的命令启动http服务
	switch (config)# ip http



## 1.2 ip http session-timeout
###### 命令描述
	为了在一定时间内启动http服务，使用ip http session-timeout执行命令。

###### 参数
| 参数  |  参数说明 |
| :------------ | :------------ |
| time  | 超时时间，单位为分钟，取值0-86400  |

###### 缺省
	no ip http

###### 使用说明
	使用本命令可以交换机在超时时间内在指定的端口接受HTTP服务请求，处理该请求并向浏览器返回处理结果。

###### 命令模式
	全局配置模式

###### 示例
	下面的命令启动http服务 
	switch (config)# ip http session-timeout



# 三、telnet配置命令
###### 开启telnet服务，使用ip telent执行命令。
###### telnet配置命令列表：
	ip telnet
	no ip telnet

###### 缺省
	no ip telnet

###### 命令模式
	全局配置模式

###### 示例
	下面的命令开启telnet服务 
	switch (config)# ip http