# 网络测试工具命令
## ping
###### 测试主机的可到达性和网络的连通性。通过发送ICMP回应请求报文给对方，然后等待对方的ICMP回应应答报文。
	Ping  host  [count <number>]

###### 参数
|  参数 | 参数说明  |
| ------------ | ------------ |
| host  | 主机名 |
| count  | 发送ICMP回应请求包计数  |
| number |  指定发送ICMP回应请求包的个数 |

###### 命令模式
	管理态，全局配置态和接口配置态

###### 使用说明
	路由交换机命令支持目的地址是广播地址和多目地址。如果是有限广播（255.255.255.255）或者是多目地址，将在所有支持广播或者是多播的可用接口上发送ICMP回应请求报文。路由交换机将输出所有应答主机的地址。通过ping多目地址224.0.0.1，用户可以得到直连网段上所有支持多目传送的主机。统计信息输出：

###### 示例
	以下示例默认发送4个ICMP回应请求包：
	switch# ping 192.168.255.1 
	以下示例发送10个ICMP回应请求包：
	switch# ping 192.168.255.1 count 10


# 故障诊断命令
###### 可以使用以下命令来诊断故障的原因，也可以使用其他的命令来解决问题（如debug命令）。

###### 故障诊断命令有：
	logging
	clear logging
	show logging

## logging
###### 使用logging命令将日志信息记录到syslog服务器上。

	logging  [buffered|console|file|host] [severity <level>]
	no logging [buffered|console|file|host]

###### 参数
|  参数 | 参数说明  |
| ------------ | ------------ |
| buffered  | 开启缓冲日志服务  |
| console   | 开启控制台日志服务|
| file      | 开启文件日志服务  |
|host       | 开启主机日志服务  |
|severity   | 严重级别         |
|level      | 取值0—7，对应emegr—debug|

###### 缺省： 
	不记录到服务器上

###### 命令模式
	全局配置态

###### 使用说明
	logging命令将日志信息记录到指定的syslog服务器上。可以使用本命令多次，指定多个syslog服务器，使用no logging则可关闭日志的记录。

###### 示例 
	Switch(config)# logging file severity 1 


## clear logging
###### 用于清除记录在内存缓冲中日志信息
###### 命令模式
	管理态


## show logging
###### 使用show logging 命令显示logging (syslog)状态。
	show logging [buffered|file]

###### 参数
|  参数 | 参数说明  |
| ------------ | ------------ |
| buffered  | 显示缓冲器里的日志信息 |
| file  |显示文件里的日志信息  |

###### 命令模式
	管理态

###### 示例
Switch# show logging
Logging service is enabled

  TARGET  |  STATUS  |          Server (PORT)          | FACILITY | LOG LEVEL 
----------+----------+---------------------------------+----------+----------------------------------
 buffered |  enabled |                                 |          |emerg, alert, crit, error, warning, notice
  console |  enabled |                                 |          |emerg, alert, crit, error, warning, notice

Switch# show logging buffered
                        Log messages in buffered

 NO.|   Timestamp    |    Category    | Severity |  Message            
---------------------+----------------+----------+----------------------------------------
   1|Jan 01 2000 11:05:41|          System|    notice| New console connection for user admin, source async  ACCEPTED 
   2|Jan 01 2000 11:02:13|            Port|    notice| Port gi8 link up
   3|Jan 01 2000 10:56:12|            Port|    notice| Port gi8 link down
   4|Jan 01 2000 10:52:48|          System|    notice| New telnet connection for user admin, source 192.168.123.100  ACCEPTED 
   5|Jan 01 2000 10:36:58|          System|    notice| New telnet connection for user admin, source 192.168.123.100  ACCEPTED 
   6|Jan 01 2000 10:36:54|          System|    notice| New telnet connection for user admin, source 192.168.123.100  REJECTED 
   7|Jan 01 2000 10:34:37|            Port|    notice| Port gi8 link up
   8|Jan 01 2000 08:00:24|            Port|    notice| Port gi7 link up

Switch# show logging file
                        Log messages in file

 NO.|   Timestamp    |    Category    | Severity |  Message            
---------------------+----------------+----------+----------------------------------------
Switch# show logging 

Logging service is enabled

  TARGET  |  STATUS  |          Server (PORT)          | FACILITY | LOG LEVEL 
----------+----------+---------------------------------+----------+----------------------------------
 buffered |  enabled |                                 |          |emerg, alert, crit, error, warning, notice
  console |  enabled |                                 |          |emerg, alert, crit, error, warning, notice