# 第1章   端口物理特性配置命令
## 1.1  端口物理特性配置命令
配置命令有：
- speed
- duplex
- flow-control
- shutdown
### 1.1.1   speed
**命令描述**
**speed** *{10 | 100 | 1000|10000|auto }*
**no speed**
设置端口的速率。
**参数**

|参数|参数说明|
| :------------ | :------------ |
|10, 100、1000、10000|设置端口速率为10M、100M、1000M、10000M。|
|auto|设置端口速率自动协商。|

**缺省**
　　电口是自动协商（auto），百兆光接口是100M，千兆光接口是1000M。
**说明**
　　在二层端口配置模式下配置该命令。
**注：**
　　*光接口的speed是固定的，如：GBIC和GE-FX的速率是1000M，而FE-FX的速率是100M。 默认情况下，千兆光接口打开自动协商功能，百兆光接口关闭自动协商功能。* 
**示例** 
　　将g1/1的端口速率设定为100M。 
　　Switch(config)# interface g 1
　　Switch(onfig-if)# speed 100
### 1.1.2   duplex
**命令描述** 
**duplex** *{auto | full | half }*
**no duplex**

设置端口的双工模式。

**参数**   

|参数|参数说明|
| :------------ | :------------ |
|auto|自动协商。|
|full|全双工。|
|half|半双工。|

**缺省**
　　电口是自动协商（auto），光接口是全双工（full）。
**说明** 
　　在二层端口配置模式下配置该命令。
**注：**
　　光接口的双工模式是固定的，都是全双工（full）模式。 
**示例**
　　将g1/1的端口双工模式设定为全双工。 
　　Switch(config)# interface g 1
　　Switch(config-if)# duplex full 
### 1.1.3   flowcontrol
**命令描述** 
　　flowcontrol on
　　flowcontrol off
　　配置端口的流量控制功能。
**缺省**
　　关闭流控功能。
**说明** 
　　在二层端口配置模式下配置该命令 。
**示例**
　　打开端口的流控功能。 
　　Switch(config-if)# flowcontrol on  

### 1.1.4   Shutdown
**命令描述** 
　　Shutdown，关闭端口。
**参数**   
　　无
**缺省** 
　　启用端口
**说明** 
　　在端口配置模式下配置该命令，使用no shutdown 重新启用接口。
**示例** 
　　Switch(config)#int GigabitEthernet 1
　　Switch(config-if)#shutdown