# 第1章   VLAN配置命令
## 1.1  VLAN配置命令
**VLAN配置命令有**：
　　**vlan
　　name
　　switchport mode
　　switchport trunk
　　show vlan**
### 1.1.1   vlan
　　**[no] vlan** *vlan-id*
　　添加或删除VLAN。
**参数**

|参数|参数说明|
| :------------ | :------------ |
|vlan-id|定义VLAN的ID。取值范围：1 – 4094。|

**缺省**
　　无
**命令模式**
　　全局配置模式
**使用说明**
　　使用本命令后，可以进入到VLAN配置模式，进入该模式后可以更改该VLAN的一些属性。
**示例**
　　下面的命令将添加ID为2的VLAN。
　　Switch#configure
　　Switch<config>#
　　Switch<config>#vlan 2
　　Switch<config-vlan>#
### 1.1.2   name
　　**[no] name** *str*
　　给VLAN命名。
**参数**

|参数|参数说明|
| :------------ | :------------ |
|str|定义VLAN的名称。取值范围：长度为1–32的字符串|

**缺省**
　　default的VLAN的名称为‘Default’，其它VLAN的名称为VLANxxxx（xxxx为VLAN的4位对齐的ID）
**命令模式**
　　VLAN配置模式
**使用说明**
　　本命令可以根据特殊需求更改VLAN的名称以标志特殊的VLAN。
**示例**
　　下面的命令将vlan200的名称改为main405。
　　Switch#configure
　　Switch(config)#
　　Switch(config)#vlan 200
　　Switch(config-vlan)#name ?
　　 　NAME  The ascii name of VLAN(32bytes)
　　Switch(config-vlan)#name main405
### 1.1.3   switchport mode
　　**switchport mode** *{access | trunk | hybrid }*
　　**no switchport mode**
　　配置端口模式
**参数**

|参数|参数说明|
| :------------ | :------------ |
|access | 访问模式|
|trunk |中继模式|
|hybrid|混合模式|

**缺省**
　　访问模式。
**命令模式**
　　端口配置模式
**使用说明**
　　交换机端口支持以下几种模式：访问模式、中继模式、混合模式。
　　访问模式表示该端口只从属于一个VLAN，并且只发送和接收无标签的以太网帧。
　　　　中继模式表示该端口与其它交换机相连，可以发送和接收带标签的以太网帧。
　　混合模式表示该端口既可以连电脑，也可以连交换机和路由器（是access模式和trunk模式的集合）
　　端口模式和802.1X协议有冲突。在中继模式（包括VLAN翻译型隧道模式和VLAN隧道上连口模式）上不能配置802.1X协议；在配置了802.1X协议的端口上不能配置为中继模式（包括VLAN翻译型隧道模式和VLAN隧道上连口模式）。就是说，802.1X协议只能在访问型的端口（包括VLAN隧道模式）上有效。
　　**802.1X**标准规定不支持**Trunk**端口认证。其原因是标准规定的认证控制对象是端口，对这种端口“复用”的情况，只要有一个VLAN中的用户认证通过，则复用该端口的其他所有VLAN中的用户也被相应授权，因此不能支持**Trunk**端口认证。
**示例**
　　将端口配置为VLAN中继模式。
　　Switch(config-if)#switchport mode trunk 
### 1.1.4   switchport trunk
　　**[no] switchport trunk** *{allowed vlan vlan-list add|remove} | {native vlan vlan-id}*  
　　配置中继端口特性。
**参数**

|参数|参数说明|
| :------------ | :------------ |
|allowed vlan|该端口可以接收和发送的VLAN ID。取值范围：1－4094|
|Native vlan |该端口可以接收和发送的VLAN ID。取值范围：1－4094|

**缺省**
　　所有中继端口的native vlan ID为1，允许的VLAN为1至4094（所有VLAN）。
**命令模式**
　　端口配置模式
**使用说明**
　　不论端口是访问或中继模式，端口下都可以使用本命令，但要起作用时端口必须是中继模式。
　　vlan-allowed参数用于控制端口所归属的vlan范围；vlan-untagged参数用于控制端口发送报文是那些vlan的报文不用加上vlan标签。
　　在使用vlan list时可以对已有的vlan的list进行添加删除（add、remove）、设置（none、all、except）。输入的list以‘，’和‘－’作分隔，如‘1，3，5，7’表示vlan 1、vlan 3、vlan 5、vlan7；‘1，3－5，7’表示vlan 1、vlan 3、vlan4、vlan 5、vlan7。
**示例**
　　将端口允许的VLAN范围定义为1-10。
　　Switch(config-if)#switchport trunk allowed vlan add 1-10 
　　Switch(config-if)#switchport trunk native vlan VLAN-ID
### 1.1.5   show vlan
　　**show vlan** [brief |vlan-list | default-vlan | dynamic | static]
　　显示所有VLAN相关信息。
**参数**

|参数|参数说明|
| :------------ | :------------ |
|brief	Vlan摘要信息。|
|Vlan-list|显示VLAN列表。取值范围：1－4094。|
|Default-vlan|显示默认vlan信息。|
|dynamic|显示动态VLAN信息。|
|static|显示静态VLAN信息。|

**缺省**
　　无
**命令模式**
　　管理模式
**使用说明**
　　无
**示例**
　　显示所有VLAN信息。
　　Switch#show vlan 
　　VID     VLAN Name         Untagged Ports     tagged Ports    type
　　--------------------------------------------------------------------------------------------
　　1        default             gi1-10,lag1-8          ------         default
　　2     zhang		             ----------               gi1          static
                 
　　显示某一个VLAN的具体信息。
　　Switch# show vlan 2 
　　VLAN  Name                 Untagged Ports  tagged Ports    type
　　----------------------------------------------------------------------------------------------------
　　2     zhang                    -------            gi1          static