# 第1章   配置端口聚合命令
## 1.1  配置端口聚合命令
### 1.1.1   lag
**命令描述**
　　**lag** *id* 
　　**no lag** 
　　配置端口聚合，no命令恢复到默认值。
**参数**

|参数|参数说明|
| :------------ | :------------ |
|id |逻辑端口的id号。取值范围：无。|

**缺省**
　　该端口没有被聚合
**使用说明**
　　无
**命令模式**
　　接口配置模式
**示例**
　　下面的命令将在g1和g2捆绑到汇聚组lag 3。
　　Switch(config)#interface g1
　　Switch(config-if)#lag 3 mode static
　　Switch(config-if)#exit
　　Switch(config)#interface g2
　　Switch(config-if)#lag 3 mode static
### 1.1.2   Lag load-balance
**命令描述**
　　**Lag loade-balance** *{ source mac | source port | ip/amc address }*
　　**no Lag loade-balance**
　　配置端口聚合后的流量平衡，no恢复到默认值。
**参数缺省**
　　ip/amc address
**使用说明**
　　端口聚合后为了保证每一个物理端口都可以达到流量平衡，需要在每一个物理端口上均匀的分配数据流量，使用此配置可以达到该目的。
　　当选择dmac方式时分配数据流量以数据报文的目的mac地址为标准，同一个mac地址只从某一个物理端口上发出。而smac则使用源mac地址为标准。
　　不同型号的交换机对流量平衡策略的支持能力不尽相同，命令提示中将只显示交换机支持的分担策略。如果不支持任何分担策略或只支持一种，将不会显示相关子命令。
**命令模式**
　　全局配置模式
**示例**
　　下面的命令将更改aggregation的流量平衡为smac模式。 
　　Switch(config)#lag load-balance src-dst-mac-ip
　　Switch(config)#  
### 1.1.3   show lag
**命令描述**
　　**show lag**
　　这条命令用来显示aggregation的具体信息。
**参数**

|参数|参数说明|
| :------------ | :------------ |
|mode | 汇聚组的负载均衡模式。|

**缺省**
　　无
**说明**
　　显示端口聚合信息。
**命令模式**
　　管理配置模式
**示例**
　　显示聚合组的信息。
　　Switch#show  lag
　　 Aggr ID   Name      Type      Configured Ports    Aggregated 　　Ports    Group Speed    
　　--------  --------  --------  ------------------  ------------------  -------------  
　　1         LLAG1     Static    3,4                 None                1G