# 第1章   LLDP配置命令
## 1.1  LLDP命令
### 1.1.1   lldp
**命令描述**
　　**lldp
　　no　lldp**
　　配置lldp功能全局启用、禁用。
**参数**
　　无
**使用说明**
**命令模式**
　　全局配置模式
**示例**
　　下面的命令将配置lldp功能全局启用、禁用：
　　Switch(config)#  lldp
　　Switch(config)#  no lldp

### 1.1.2   lldp　holdtime-multiplier　
**命令描述**
　　**lldp　holdtime-timer**　*time*
　　**no　lldp　holdtime**　
　　配置lldp的发送报文ttl值，no命令恢复到默认值。
**参数**

|参数|参数说明|
| :------------ | :------------ |
|time|发送报文保存时间。取值范围：2-10s|

**使用说明**
　　正常情况下，MIB中存储的远端信息在老化前都会更新，但由于更新帧发送过程中可能丢失，引起MIB中信息老化。为了防止此情况，设置TTL值使在老化时间内，多次发送更新LLDP帧。
**命令模式**
　　全局配置模式
**示例**
　　下面的命令将配置lldp的发送报文ttl值为10秒：
　　Switch(config)#  lldp　holdtime-multiplier 10 
### 1.1.3   lldp　reinit-delay　
**命令描述**
　　**lldp　reinit-delay**　*time*
　　**no lldp reinit**　   
　　配置lldp连续报文发送的延迟时间，no命令恢复到默认值。
**参数**

 |参数 |参数说明 |
| :------------ | :------------ |
 |time |Lldp连续报文发送的延迟时间。取值范围：1-10s |
 
**使用说明**
　　在本地系统中一个或多个信息元素（管理对象）状态或值发生变化和发送计时器超时两种情况下，自动发送LLPD信息。由于单个信息变化即需要发送LLDP报文，可能连续的一系列信息改变触发许多LLDP帧发送，每个帧中只报告一个变化，为了避免这种情况，网络管理定义了两个连续发送LLDP帧间的等待时间。
**命令模式**
　　全局配置模式
**示例**
　　下面的命令将配置lldp的连续报文发送延时为５秒：
　　Switch(config)#  lldp　reinit-delay　5
### 1.1.4   lldp　tx-delay　
**命令描述**
　　**lldp　tx-delay**　*time*
　　**no lldp tx-delay**　   
　　配置lldp报文发送的延迟时间，no命令恢复到默认值。
**参数**
参数	参数说明
time 	Lldp报文发送的延迟时间。取值范围：1-8192s
**使用说明**
**命令模式**
　　全局配置模式
**示例**
　　下面的命令将配置lldp的报文发送延时为５秒：
　　Switch(config)#  lldp　reinit-delay　5
### 1.1.5   lldp　tx-interval　
**命令描述**
　　**lldp　tx-interval**　*time*
　　**no lldp tx-interval**   
　　配置lldp报文发送的间隔，no命令恢复到默认值。
**参数**

|参数|参数说明|
| :------------ | :------------ |
|time|Lldp报文发送的间隔时间。取值范围：5-32768s|

**使用说明**
**命令模式**
　　全局配置模式
**示例**
　　下面的命令将配置lldp的报文发送延时为５秒：
　　Switch(config)# lldp　tx-interval　5