# 第1章   MAC地址表特性配置命令
## 1.1  MAC地址配置命令
### 1.1.1   mac address-table static
**命令描述** 
　　**[no] mac address-table static** *mac-addr vlan vlan-id interface  interface-id*
　　添加/删除一个静态MAC地址。
**参数**

|参数|参数说明|
| :------------ | :------------ |
|mac-addr|MAC地址。取值范围：H.H.H。|
|vlan-id|该MAC地址所属VLAN。取值范围：1－4094。|
|interface-id|该MAC地址所属物理端口。|

**缺省** 
　　无
**使用说明** 
　　在全局配置模式下配置该命令。 
**示例** 
　　将MAC地址00:00:00:00:00:01绑定到属于VLAN1的端口g 2上。 
　　Switch(config)# mac address-table static 00:00:00:00:00:01 vlan 1 interface g 2 
### 1.1.2   mac address-table aging-time
**命令描述** 
　　**mac address-table aging-time**  [10-630]
　　配置MAC地址表老化时间。
**参数** 

|参数|参数说明|
| :------------ | :------------ |
|10-630|以秒为单位的MAC地址老化时间。|

**缺省** 
　　无
**使用说明** 
　　在全局配置模式下配置该命令 
**示例**
　　将MAC地址老化时间配置为100秒。 
　　Switch(config)# mac address-table aging-time 100   
### 1.1.3   show mac address-table
**命令描述** 
　　**show  mac address-table** *{address | aging-time | counters | dynamic| [interfaces interface-id] | vlan vlan-id | static}*
显示交换机MAC地址表的内容。
**参数** 

|参数|参数说明|
| :------------ | :------------ |
|address|Mac地址查询。|
|aging-time|Mac地址表老化时间。|
|counters|Mac地址总数。|
|dynamic|动态MAC地址表。|
|interface-id|端口名称。|
|vlan-id|VLAN ID。取值范围：1－4094。|
|static|静态MAC地址表。|

**缺省** 
　　无
**使用说明** 
　　使用该命令来显示MAC地址表 。
**示例**
　　显示所有静态MAC地址表。 
　　Switch# show mac address-table static 
　　Type    VID  MAC Address        Ports
　　Static  1    33:33:00:00:00:01  1-28,CPU
　　Static  1    33:33:00:00:00:02  1-28,CPU
　　Static  1    33:33:ff:00:11:11   1-28,CPU
　　Static  1    ff:ff:ff:ff:ff:ff        1-28,CPU
　　Static  2    00:00:00:00:00:01  1 
### 1.1.4   clear mac address-table dynamic
**命令描述** 
　**clear mac address-table dynamic**
　　删除动态MAC地址。
**参数** 
　　无
**缺省** 
　　无
**说明** 
　　在管理模式下使用该命令。
**示例** 
　　清除所有学习到的MAC地址。 
　　Switch# clear mac address-table dynamic